/*==========Homepage==========--------------------------*/

:root {
    --attn: var(--primary-dark);
}

body {
    background: var(--gray);
    display: flex;
    flex-direction: column;
    justify-content: center;
    min-height: 100vh;
    width: 100vw;
}

body > div {
    max-width: 300px;
    margin: 0 auto;
}
body > div > * {
    display: block;
    margin-left: auto;
    margin-right: auto;
}

img {
    position: relative;
    z-index: 1001;
}

h3 {
    padding: 0;
    background: none;
    text-align: center;
}

main { 
    display: block;
    height: 220px;
    width: 100%;
    max-width: var(--miniwrapper-width);
    min-height: unset;
    background: url(../layout/borders/scallop_side-r.png) repeat-y right bottom, url(../layout/borders/scallop_side-l.png) repeat-y left bottom;
    background-size: 36px;
    padding: 0 36px;
    position: relative;
    margin-top: 36px;
}

main::before, main::after {
    content: '';
    width: 100%;
    height: 60px;
    background-image: url(../layout/borders/ribbon_corner-tl.svg), url(../layout/borders/ribbon_corner-tr.svg);
    background-position: left, right;
    background-size: contain, contain;
    background-repeat: no-repeat, no-repeat, repeat-x;
    background-clip: padding-box, padding-box, content-box;
    padding: 0 36px;
    margin-left: -36px;
    position: absolute;
    top: -36px;
    right: 0;
    z-index: 1000;
    pointer-events: none;
}

main::after {
    background-image: url(../layout/borders/ribbon_corner-bl.svg), url(../layout/borders/ribbon_corner-br.svg);
    background-position: left, right;
    top: unset;
    bottom: -36px;
}

main .inner {
    display: block;
    padding: var(--lace-h) 0;
    background-image: url(../layout/borders/scallop_top.png), url(../layout/borders/scallop_bottom.png);
    background-position: top center, bottom center;
    background-repeat: repeat-x;
    background-size: var(--lace-v);
    height: calc(100% + (var(--lace-h) * 2));
    top: -32px;
    position: relative;
}

.inner > * {
    height: 100%;
    display: flex;
    flex-direction: column;
}

.updatelog {
    flex-basis: calc(100% - 6rem - 2px);
    background: var(--secondary-light);
    padding: 0 12px;
    overflow-y: scroll;
}
.scrollbox {
    font: var(--body-sm);
    font-size: .6rem;
    overflow-y: auto;
    overflow-x: hidden;
    width: 100%;
    margin-top: 4px;
}
.scrollbox td {
    vertical-align: top;
    padding-bottom: 6px;
    line-height: 1.75;
}
.scrollbox td:nth-child(odd) { padding-right: 1rem; }
.scrollbox td:nth-child(odd) { white-space: nowrap; }

.scrollbox a {
    text-decoration: underline dotted;
    background: var(--secondary-light);
    border: transparent 1px solid;
}
.scrollbox a:hover {
    background: var(--secondary-light);
}

#rss {
    display: block;
    text-align: right;
}

#log { margin: 0; }


.notice {
    width: 100%;
    height: calc(6rem + 2px);
    font: var(--body-sm);
    padding: 1rem 12px;
    border-top: 2px solid var(--gray);
    background: var(--secondary-light) url(../layout/background/gingham.svg);
    background-size: var(--bg-sm);
}
.notice p {
    text-align: left;
}

.buttons {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    margin-bottom: 0;
}

button {
    margin: 0 1ch;
    background: var(--secondary-light);
}

@media screen and (max-width: 800px) {
    
    main {
        max-width: 100%;
        padding: var(--side-padding);
    }
    
    .zucchinibear {
        width: 100%;
        margin-left: auto;
        margin-right: auto;
    }
    
    .components > div:first-child {
        display: block;
        height: unset;
        margin: 2rem auto;
    }
    .left, .right, #log { width: 100%; }
    .right { height: 50vh; }
        
    .webrings { padding-right: 0; }

}